com.sun.source.tree

## Interface EnhancedForLoopTree

- All Superinterfaces:
    StatementTree, Tree

      public interface EnhancedForLoopTree
      extends StatementTree

  A tree node for an "enhanced" 'for' loop statement. For example:

         for ( variable : expression )
             statement

  Since:
    1.6
  See Also:
    "The Java Language Specification, 3rd ed, section 14.14.2"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionTree` | `getExpression()`
    `StatementTree` | `getStatement()`
    `VariableTree` | `getVariable()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getVariable

          VariableTree getVariable()

    - #### getExpression

          ExpressionTree getExpression()

    - #### getStatement

          StatementTree getStatement()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.